org.apache.hadoop.hdfs.server.namenode.top.window

## Class RollingWindowManager.User

- java.lang.Object
- - org.apache.hadoop.hdfs.server.namenode.top.window.RollingWindowManager.User

- All Implemented Interfaces:
    Comparable<RollingWindowManager.User>
  Enclosing class:
    org.apache.hadoop.hdfs.server.namenode.top.window.RollingWindowManager

      public static class RollingWindowManager.User
      extends Object
      implements Comparable<RollingWindowManager.User>

  Represents a user who called an Op within a TopWindow. Specifies the user and the number of times the user called the operation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `User(String user, long count)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(long delta)`
    `int` | `compareTo(RollingWindowManager.User other)`
    `boolean` | `equals(Object o)`
    `long` | `getCount()`
    `String` | `getUser()`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### User

          public User(String user,
                      long count)

  - ### Method Detail

    - #### getUser

          public String getUser()

    - #### getCount

          public long getCount()

    - #### add

          public void add(long delta)

    - #### compareTo

          public int compareTo(RollingWindowManager.User other)

      Specified by:
        `compareTo` in interface `Comparable<RollingWindowManager.User>`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.